Skip to main content
POST
/
v2
/
presence
/
update
Update Presence
curl --request POST \
  --url https://api.velt.dev/v2/presence/update \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "organizationId": "<string>",
    "documentId": "<string>",
    "users": [
      {
        "userId": "<string>",
        "name": "<string>",
        "email": "<string>",
        "status": "<string>"
      }
    ]
  }
}
'
{
  "result": {
    "status": "success",
    "message": "Presence updated successfully.",
    "data": {
      "success": true
    }
  }
}
Use this API to update presence data for existing users on a document within an organization.

Endpoint

POST https://api.velt.dev/v2/presence/update

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Requests

Update a user’s presence status

{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "users": [
      {
        "userId": "user-1",
        "status": "away"
      }
    ]
  }
}

Update multiple users

{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "users": [
      {
        "userId": "user-1",
        "status": "online",
        "name": "Updated Name"
      },
      {
        "userId": "user-2",
        "status": "away"
      }
    ]
  }
}

Response

Success Response

{
  "result": {
    "status": "success",
    "message": "Presence updated successfully.",
    "data": {
      "success": true
    }
  }
}

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
{
  "result": {
    "status": "success",
    "message": "Presence updated successfully.",
    "data": {
      "success": true
    }
  }
}